%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary: 	A thin wrapper library of LZMA
Name: 		lzmalib
Version: 	0.0.1
Release: 	%mkrel 15
Group: 		System/Libraries
License: 	LGPL
URL: 		https://tokyocabinet.sourceforge.net/misc/
Source0: 	https://tokyocabinet.sourceforge.net/misc/%{name}-%{version}.tar.gz
Patch0:		lzmalib-0.0.1-format_not_a_string_literal_and_no_format_arguments.diff
Patch1:		lzmalib-0.0.1-new_libname_fix.diff
BuildRequires:	chrpath

%description
This package includes a thin wrapper library of LZMA SDK written by Igor
Pavlov.

%package -n	lzmacmd
Summary:	The lzmacmd command line utility
Group:		System/Libraries

%description -n lzmacmd
This package includes the lzmacmd command line utility.

%package -n	%{libname}
Summary:	A thin wrapper library of LZMA
Group:		System/Libraries

%description -n %{libname}
This package includes a thin wrapper library of LZMA SDK written by Igor
Pavlov.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lzmalib-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

%build
rm configure
autoconf

%configure

%make_build \
    CFLAGS="%{optflags} -Wall -fPIC -fsigned-char" \
    CXXFLAGS="%{optflags} -Wall -fPIC -fsigned-char" \
    LDFLAGS="$LDFLAGS -L."

%install
%make_install

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/lzmacmd


%files -n lzmacmd
%defattr(-,root,root,755)
%{_bindir}/lzmacmd

%files -n %{libname}
%defattr(-,root,root,755)
%doc README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%defattr(-,root,root,755)
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.0.1-15.mga10
+ Revision: 2232044
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.0.1-14.mga10
+ Revision: 2127827
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 0.0.1-13.mga9
+ Revision: 1793950
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.0.1-12.mga8
+ Revision: 1514962
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.1-11.mga7
+ Revision: 1299424
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 0.0.1-10.mga6
+ Revision: 930755
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-9.mga5
+ Revision: 749986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.1-8.mga5
+ Revision: 682109
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.1-7.mga4
+ Revision: 507691
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.1-6.mga3
+ Revision: 359227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.0.1-5.mga1
+ Revision: 47588
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package lzmalib


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-5mdv2011.0
+ Revision: 606453
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-4mdv2010.1
+ Revision: 519036
- rebuild

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.0.1-3mdv2010.0
+ Revision: 439694
- rebuild

* Sat Mar 07 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-2mdv2009.1
+ Revision: 351849
- fix build with -Werror=format-security
- rename the built library to prevent file clash with system lzma lib,
  link against -llzmalib for now on

* Thu Jul 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-1mdv2009.0
+ Revision: 258754
- import lzmalib


* Thu Jul 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-1mdv2009.0
- initial Mandriva package
